"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _1 = require(".");
function dispose(m) {
    //@ts-ignore
    if (m.geometry)
        //@ts-ignore
        m.geometry.dispose();
    m.children.forEach(function (o) { return dispose(o); });
}
function LoadBoard(view, data, clear) {
    var _a, _b, _c;
    if (clear === void 0) { clear = true; }
    if (clear) {
        dispose(view.m_Scene);
        view.m_Scene.children.length = 0;
    }
    if (data.length === 0)
        return;
    //加板
    var _d = _1.createTemplateBoard(data), meshs = _d.meshs, edgesa = _d.edgesa, relations = _d.relations;
    //加标注
    var dims = _1.DrawDimension(meshs);
    (_a = view.m_Scene).add.apply(_a, meshs);
    (_b = view.m_Scene).add.apply(_b, edgesa);
    (_c = view.m_Scene).add.apply(_c, dims);
    view.ViewToSwiso();
    view.ZoomAll();
    view.Zoom(1.1);
    return relations;
}
exports.LoadBoard = LoadBoard;
//# sourceMappingURL=Utils.js.map