"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var three_1 = require("three");
//板件的材质,使用这个材质避免板件将线覆盖.
exports.boardMaterial = new three_1.MeshBasicMaterial({
    color: new three_1.Color(0.8, 0.8, 0.8),
    polygonOffset: true,
    polygonOffsetFactor: 1,
    polygonOffsetUnits: 1
});
exports.selectMaterial = new three_1.MeshBasicMaterial({
    color: new three_1.Color(0.1, 0.5, 0.5),
    polygonOffset: true,
    polygonOffsetFactor: 1,
    polygonOffsetUnits: 1
});
//线框的材质
exports.edgeMaterial = new three_1.LineBasicMaterial({ linewidth: 2, color: new three_1.Color(0, 0, 0) });
//# sourceMappingURL=Material.js.map